LINUX.ORG.RU
ФорумAdmin

wheezy, pptpd не работает с последней версией ядра

 , ,


0

1

Продолжение вот этой истории, правда уже не про squeeze, а про wheezy.

Опять не работает pptpd (виндоошибка 619, на сервере в логах LCP: timeout sending Config-Requests ), хотя все конфиги тупо перенесены с этого самого squeeze. Железо — новое.

Лечится тем же самым способом:

# apt-cache policy linux-image-3.2.0-4-amd64
linux-image-3.2.0-4-amd64:
  Установлен: 3.2.68-1+deb7u2
  Кандидат:   3.2.68-1+deb7u2
  Таблица версий:
 *** 3.2.68-1+deb7u2 0
        500 http://security.debian.org/ wheezy/updates/main amd64 Packages
        100 /var/lib/dpkg/status
     3.2.65-1 0
        500 http://mirror.yandex.ru/debian/ wheezy/main amd64 Packages

[...]

# apt-get install linux-image-3.2.0-4-amd64=3.2.65-1

[...]

# shutdown -r now

[...]

# aptitude hold linux-image-3.2.0-4-amd64

И это хорошо, что в репозитории есть подходящая версия ядра.

Вопрос риторический: ну почему? Уже второй раз так...

UPD: пока рылся в поисках проблемы, заметил, что не только у серверов, но и у клиентов на базе wheezy похожие симптомы. Рискну предположить, что данное лекарство может помочь в борьбе с ошибками клиентов pptp.

★★★★★

Я думаю это связано с моделем conntrack для pptp и натом где-то между сервером и клиентом или файрволлом. В новой версии модуль загружен? Файрволл есть?

Вообще советую выкинуть убогий pptp и перейти на l2tp/ipsec, из винды работает искаропки через любые наты.

blind_oracle ★★★★★ ()
Ответ на: комментарий от blind_oracle

Пробовал и из локальной (той же, которая на интерфейсе у pptp-сервера) подсети заходить — ноль эффекта. TCPDUMP говорил при этом, что пакеты по протоколу GRE идут в обе стороны. Пока ядро не даунгрейднул, не получалось установить соединение. В файрволе политика входящих DENY, но PPTPD открыты всем:

-A INPUT -p gre -j ACCEPT
-A INPUT -p tcp -m tcp --dport 1723 -j ACCEPT
Да, L2TP хотел было заделать, даже нашел страничку про это на Debian Wiki. Но решил не пороть горячку, и восстановить работу существующей схемы. Да к тому же, для L2TP для Wheezy трудно найти плагин для GNOME NETWORK MANAGER, также как и для других, более современных версий GNU/Linux (работаю с VPN не только из под Windows).

Infra_HDC ★★★★★ ()
Ответ на: комментарий от kostik87

Спасибо за ссылки! Значит бэкпорт этого бага сделали в старое ядро.

Infra_HDC ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.